Subject: star jasmine care

From: [email-masked] (Terra Kelsey)
Date: 14 Mar 1995 06:01:52 GMT

I need advice on caring for a star jasmine bush.  I live in the
Pacific Northwest , near Portland, Oregon, zone 7, and have carefully
overwintered this warm-tempered lovely indoors on a cool back porch.  
It's losing it's leaves; do I prune the twigs back or fertilize, or
leave it alone?  Any suggestions appreciated!

--
---
pacifier.com - Vancouver's Public access Internet (206) 693-0325
telnet or dial the above and type "new" at the prompt to register